def STAGING_DOMAIN = "hurried-string.surge.sh"

pipeline {
    agent {
        node {
            label 'docker-agent-nicolas'
        }
    }

    environment{

        SURGE_LOGIN=credentials('SURGE_LOGIN')
        SURGE_TOKEN=credentials('SURGE_TOKEN')

    }



    
    stages{
        // stage('build_init'){
        //     parallel { 
        //         stage('build'){
        //             steps{
                        
        //                 sh "npm install"
        //                 sh "npm run build"
                        
        //             }
        //         }
        //         stage('test_artifact'){
        //             steps{
                        
        //                 sh "grep -q 'React' ./build/index.html"
                        
        //             }
        //         }
        //     }
        // }

 
        stage('build'){
            steps{
                
                sh "npm install"
                sh "npm run build"
                
            }
        }
        stage('test_artifact'){
            steps{
                
                sh "grep -q 'React' ./build/index.html"
                
            }
                }
   
        stage('test_website'){
            steps{
                
                sh "npm run start &"
                sh "sleep 10"
                sh "curl -Is localhost:3000 | head -n 1 | grep 'OK'"
            
            }
        }
        
        stage('deploy_staging'){
            // steps{
                
            //     sh """
            //     export SURGE_LOGIN=nicolas.rouille.oclock@gmail.com
            //     export SURGE_TOKEN=0340615d2b5011a079434adae374b2c8
            //     surge --project ./build --domain ${STAGING_DOMAIN}
            //     """
                
            // }

            steps{
                
                sh """
                surge --project ./build --domain ${STAGING_DOMAIN}
                """
                
            }





        }

    }
}